:root {
    /*  https://material-foundation.github.io/material-theme-builder/
        seed: #111111 */
    --background-body_Surface: #f5fafb;
    --txt-body_OnSurface: #171d1e;
    --bg-header_Secondary: #4a6267;
    --txt-header_OnSecondary: #ffffff;
    --bg-main-sidebar_SecondaryContainer: #cde7ec;
    --txt-main-sidebar_OnSecondaryContainer: #334b4f;
    --hover-main-sidebar_SecondaryDark: #b1cbd0;
    --bg-section-sidebar_SurfContainer: #e9eff0;
    --txt-section-sidebar_SurfContainerDark: #1b2122;
    --hover-section-sidebar_SurfContainerHighest: #dee3e5;
    --link-Primary: #006874;
    --scroller-main-sidebar_SecondaryFixedDim: #b1cbd0;
    --scroller-section-sidebar_OutlineVariant: #BFC8CA;
    --scroller-section-sidebar-hover_Outline: #6f797a;
    --h1_TertiaryContainerDark: #3b4664;
}

body {
    font-size: 1rem;
    line-height: 1.6em;
    margin: 0;
    color: var(--text-main);
    background: var(--bg-main);
    font-family: var(--font-family);
    font-optical-sizing: auto;
}
a {
    color: var(--link-color);
    text-decoration: none;
}

#header {
    position: fixed;
    top: 0px;
    transition: top 0.3s ease 0s;
    width: 100%;
    height: 48px;
    padding: 2px;
    background: var(--bg-surface);
    border-bottom: 1px solid var(--border-color);
    text-align: center;
}
#header a {
    font-weight: 500;
}
#header span {
    font-size: 24px;
    color: var(--primary);
}
#header img {
    width: auto;
    height: 44px;
    padding-top: 1px;
    padding-right: 5px;
    vertical-align: -13px;
}
#button-right, #button-left {
    cursor: pointer;
    margin-top: 6px;
    width: 38px;
    height: 38px;
    background: white;
    border: 1px solid var(--border-color);
    box-sizing: border-box;
    border-radius: 12px;
    transition: all 0.2s ease;
}
#button-right {
    float: right;
    margin-right: 10px;
}
#button-left {
    float: left;
    margin-left: 5px;
}
#button-right:hover , #button-left:hover {
    background-color: var(--primary-light);
    border-color: var(--primary);
}
@media (min-width: 1501px) {
    #button-left, #button-right {
        display: none;
    }
    #header {
        display: block!important;
        width: 300px;
        box-sizing: border-box;
        height: 60px;
        border-radius: 0 0px 3px 0;
        border-right: 1px solid var(--border-color);
        z-index: 10;
        background: white;
        text-align: left;
    }
    #header img {
        height: 44px;
        padding-left: 20px;
        padding-top: 7px;
        vertical-align: -13px;
    }
    #header span {
        padding-left: 10px;
    }
}

#main-overlay, #section-overlay {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 4;
}

#main-sidebar {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    width: 300px;
    padding-top: 20px;
    padding-bottom: 35px;
    overflow: auto;
    border-right: 1px solid var(--border-color);
    z-index: 5;
    background: var(--bg-surface);
    box-sizing: border-box;
}
@media (min-width: 1501px) {  
    #main-sidebar {
        display: block!important;
        top: 60px;
        padding-top: 10px;
    }
}

#section-sidebar {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    width: 350px;
    border-left: 1px solid var(--border-color);
    z-index: 5;
    background: var(--bg-main);
    box-sizing: border-box;
    overflow: auto;
}
#section-sidebar p {
    text-align: center;
    font-size: 24px;
    color: var(--text-muted);
    margin-top: 0px; margin-bottom: 0;
    padding-top: 30px; padding-bottom: 20px;
    font-weight: 500;
}
#section-sidebar ul {
    margin-top: 0;
    padding-inline-start: 30px;
    list-style-type: circle;
    font-weight: 500;
    font-size: 0.9375rem;
}
#section-sidebar a:hover {
    color: var(--link-hover);
}
#section-sidebar li::marker {
    color: var(--text-muted);
}
@media (min-width: 1501px) {
    #section-sidebar {
        display: block!important;
    }
}

main {
    padding: 55px 15px 25px;
    line-height: 1.7em;
    letter-spacing: 0.01em; 
}
@media (min-width: 731px) {
    main {
        max-width: 700px;
        margin: 0 auto;        
    }
}
@media (min-width: 1501px) {
    main {
        /* margin-left: 310px;
        margin-right: 310px; */
        padding-top: 5px;
    }
}
footer {
    text-align:center;
    border-top: 1px solid var(--border-color);
    line-height: 48px;
    height: 48px;
    color: var(--text-muted);
}

.menu-sci {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}
.menu-sci a {
    width: 200px;
    display: inline-block;
    padding: 10px 20px;
    background: transparent;
    color: var(--primary);
    text-decoration: none;
    border: 1px solid var(--border-color);
    border-radius: 12px;
    text-align: center;
    font-weight: 500;
    font-size: 0.9375rem;
}
.menu-sci a:hover {
    background: var(--light-grey);
}


figure {
    margin: 1em 0; 
    text-align: center;
}
img {  
    max-width: 100%;
    height: auto;
}
@media(max-width: 500px) {
    figure {
        margin-left: -15px;
        margin-right: -15px;
    }
}

#main-sidebar::-webkit-scrollbar { width: 6px; }
#section-sidebar::-webkit-scrollbar { width: 10px; }

#main-sidebar::-webkit-scrollbar-track,
#section-sidebar::-webkit-scrollbar-track { background: transparent; }

#main-sidebar::-webkit-scrollbar-thumb,
#section-sidebar::-webkit-scrollbar-thumb { 
    background-color: var(--light-grey);
    border-radius: 10px;
    transition: background-color 0.2s ease; 
}

#main-sidebar::-webkit-scrollbar-thumb:hover,
#section-sidebar::-webkit-scrollbar-thumb:hover { background: var(--grey);}

